org.apache.ignite.internal.visor.cache

## Class VisorCacheMetricsCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<IgniteBiTuple<Boolean,Collection<String>>,Iterable<VisorCacheAggregatedMetrics>,Collection<VisorCacheMetrics>>
  - - org.apache.ignite.internal.visor.cache.VisorCacheMetricsCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<IgniteBiTuple<Boolean,Collection<String>>>,Iterable<VisorCacheAggregatedMetrics>>

    @GridInternal
    public class VisorCacheMetricsCollectorTask
    extends VisorMultiNodeTask<IgniteBiTuple<Boolean,Collection<String>>,Iterable<VisorCacheAggregatedMetrics>,Collection<VisorCacheMetrics>>

Task that collect cache metrics from all nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheMetricsCollectorTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheMetricsCollectorTask.VisorCacheMetricsCollectorJob` `job(IgniteBiTuple<Boolean,Collection<String>> arg)`
`protected Iterable<VisorCacheAggregatedMetrics>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheMetricsCollectorTask

    public VisorCacheMetricsCollectorTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheMetricsCollectorTask.VisorCacheMetricsCollectorJob job(IgniteBiTuple<Boolean,Collection<String>> arg)

Specified by:
  `job` in class `VisorMultiNodeTask<IgniteBiTuple<Boolean,Collection<String>>,Iterable<VisorCacheAggregatedMetrics>,Collection<VisorCacheMetrics>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected Iterable<VisorCacheAggregatedMetrics> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<IgniteBiTuple<Boolean,Collection<String>>,Iterable<VisorCacheAggregatedMetrics>,Collection<VisorCacheMetrics>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015